Bug 181888 - /etc/vimrc does not use many of vim's features
/etc/vimrc does not use many of vim's features
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-02-17 10:56 EST by Tejas Dinkar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-20 05:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tejas Dinkar 2006-02-17 10:56:38 EST
Description of problem:
There are many features which vim has, that are not enabled by default.

For example auto-indenting.

These are all working well in FC4's vim, if you copy 
/usr/share/vim/vim63/vimrc_example.vim to /etc/vimrc

Also, (this should be another bug,) in man vim, the location of the vimrc is
given as /usr/share/vim/vimrc, when it is located in /etc/vimrc

Version-Release number of selected component (if applicable):

How reproducible:
Very :)

Steps to Reproduce:
1. Install fedora
Actual results:
A more complete vimrc should be enabled

Expected results:
Not so good vimrc is there, and users must manually copy the example vimrc to
get better configs
Comment 1 Karsten Hopp 2006-07-20 05:03:41 EDT
I've checked the differences between vimrc_example and the installed vimrc.
There isn't that much difference, i.e. the autoindent setting was turned off on
purpose (it's commented out in /etc/vimrc) by one of the previous maintainers.

Note You need to log in before you can comment on or make changes to this bug.